Package org.apache.sysds.runtime.lineage

# Class LineageDebugger

java.lang.Object
org.apache.sysds.runtime.lineage.LineageDebugger

public class LineageDebugger extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`POS_NAN`
`static final int`
`POS_NEGATIVE_INFINITY`
`static final int`
`POS_POSITIVE_INFINITY`

## Constructor Summary

Constructors
Constructor
Description
`LineageDebugger()`

## Method Summary

Modifier and Type
Method
Description
`static LineageItem`
`firstOccurrenceOfNR(LineageItem li, int pos)`
`static void`
`maintainSpecialValueBits(Lineage lineage, Instruction inst, ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### POS_NAN

public static final int POS_NAN

See Also:
  - Constant Field Values

### POS_POSITIVE_INFINITY

public static final int POS_POSITIVE_INFINITY

See Also:
  - Constant Field Values

### POS_NEGATIVE_INFINITY

public static final int POS_NEGATIVE_INFINITY

See Also:
  - Constant Field Values

## Constructor Details

### LineageDebugger

public LineageDebugger()

## Method Details

### maintainSpecialValueBits

public static void maintainSpecialValueBits(Lineage lineage, Instruction inst, ExecutionContext ec)

### firstOccurrenceOfNR

public static LineageItem firstOccurrenceOfNR(LineageItem li, int pos)